{
	"nuxt.isNuxtApp": false,
	"conventionalCommits.scopes": [
		"api",
		"db/models",
		"composables",
		"pages",
		"nuxt",
		"server/middleware",
		"components",
		"deps",
		"client-side",
		"config",
		"workspace",
		"typing",
		"api/utils",
		"server/utils",
		"server/plugins"
	],
	"commitlint.config.extend.rules": {
		"scope-enum": [
			2,
			"always",
			[
				"api",
				"db/models",
				"composables",
				"pages",
				"nuxt",
				"middleware",
				"components",
				"deps",
				"client-side",
				"config",
				"workspace",
				"typing",
				"api",
				"server",
				"utils"
			]
		]
	},

	"editor.defaultFormatter": "esbenp.prettier-vscode",
	"[typescript]": {
		"editor.defaultFormatter": "esbenp.prettier-vscode",
		"editor.formatOnSave": true
	},
	"[vue]": {
		"editor.formatOnSave": true
	},
	"vue.complete.casing.props": "kebab",
	"vue.complete.casing.tags": "kebab"
}
